package com.rssuper.database;

@kotlin.Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\u0000\u001e\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\b\u0002\n\u0002\u0018\u0002\n\u0000\n\u0002\u0010\u0002\n\u0002\u0018\u0002\n\u0002\b\b\u0018\u00002\u00020\u0001B\u0005\u00a2\u0006\u0002\u0010\u0002J\f\u0010\u0005\u001a\u00060\u0006j\u0002`\u0007H\u0007J\b\u0010\b\u001a\u00020\u0006H\u0007J\b\u0010\t\u001a\u00020\u0006H\u0007J\b\u0010\n\u001a\u00020\u0006H\u0007J\f\u0010\u000b\u001a\u00060\u0006j\u0002`\u0007H\u0007J\b\u0010\f\u001a\u00020\u0006H\u0007J\f\u0010\r\u001a\u00060\u0006j\u0002`\u0007H\u0007J\f\u0010\u000e\u001a\u00060\u0006j\u0002`\u0007H\u0007R\u000e\u0010\u0003\u001a\u00020\u0004X\u0082.\u00a2\u0006\u0002\n\u0000\u00a8\u0006\u000f"}, d2 = {"Lcom/rssuper/database/RssDatabaseTest;", "", "()V", "database", "Lcom/rssuper/database/RssDatabase;", "cascadeDeleteFeedItems", "", "Lkotlinx/coroutines/test/TestResult;", "closeDb", "createDb", "databaseConstruction", "feedItemEntityRoundTrip", "ftsVirtualTableExists", "searchHistoryEntityRoundTrip", "subscriptionEntityRoundTrip", "RSSuper_debugUnitTest"})
public final class RssDatabaseTest {
    private com.rssuper.database.RssDatabase database;
    
    public RssDatabaseTest() {
        super();
    }
    
    @org.junit.Before()
    public final void createDb() {
    }
    
    @org.junit.After()
    public final void closeDb() {
    }
    
    @org.junit.Test()
    public final void databaseConstruction() {
    }
    
    @org.junit.Test()
    public final void ftsVirtualTableExists() {
    }
    
    @org.junit.Test()
    public final void subscriptionEntityRoundTrip() {
    }
    
    @org.junit.Test()
    public final void feedItemEntityRoundTrip() {
    }
    
    @org.junit.Test()
    public final void searchHistoryEntityRoundTrip() {
    }
    
    @org.junit.Test()
    public final void cascadeDeleteFeedItems() {
    }
}